/*
 The software in this package is distributed under the GNU General
 Public License version 2 (with a special exception described below).

 A copy of GNU General Public License (GPL) is included in this distribution,
 in the file COPYING.GPL.

 As a special exception, if other files instantiate templates or use macros
 or inline functions from this file, or you compile this file and link it
 with other works to produce a work based on this file, this file
 does not by itself cause the resulting work to be covered
 by the GNU General Public License.

 However the source code for this file must still be made available
 in accordance with section (3) of the GNU General Public License.

 This exception does not invalidate any other reasons why a work based
 on this file might be covered by the GNU General Public License.

 Christian Herdtweck, Intra2net AG 2015
 */

#ifndef DNS_IP_PROTOCOL_H
#define DNS_IP_PROTOCOL_H

#include <boost/net/dns.hpp>
#include "host/pingprotocol.h"

typedef boost::net::dns::type_t DnsIpProtocol;
const DnsIpProtocol DNS_IPv4 = boost::net::dns::type_a;
const DnsIpProtocol DNS_IPv6 = boost::net::dns::type_a6;
const DnsIpProtocol DNS_IPALL = boost::net::dns::type_all;

std::string to_string(const DnsIpProtocol &protocol);
DnsIpProtocol ping2dns_protocol(const PingProtocol& pprot);

#endif
